<?php

	$zip = new ZipArchive();
	$zip->open('Zip.zip'); 

	echo "Number of files inside Zip = ".$zip->numFiles;

	echo "<br>";
	
	$zip = zip_open('Zip.zip');
	if ($zip)
	{

		while ($zip_entry = zip_read($zip)) 
		{
			echo "Name:               " . zip_entry_name($zip_entry) . "<br>";
//			echo "Actual Filesize:    " . zip_entry_filesize($zip_entry) . " ";
//			echo "Compressed Size:    " . zip_entry_compressedsize($zip_entry) . " ";
//			echo "Compression Method: " . zip_entry_compressionmethod($zip_entry) . " ";
/*
			if (zip_entry_open($zip, $zip_entry, "r")) 
			{
				echo "File Contents:n";
				$buf = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry));
				echo "$buf";
				zip_entry_close($zip_entry);
			}*/
		
		}
		
		zip_close($zip);
		
	}
	
	
	function isweekend($date){
    $date = strtotime($date);
    $date = date("l", $date);
    $date = strtolower($date);
    echo $date;
    if($date == "saturday" || $date == "sunday") {
        return "true";
    } else {
        return "false";
    }
}

		// renvoi la date du jour
		$date = date('Y-m-d');
		echo $date;

		//$isthisaweekend = isweekend('2017-11-12');
		$isthisaweekend = isweekend($date);
		echo $isthisaweekend;

		//$time = mktime(0, 0, 0, $month, $day, $year);
		$time = mktime(0, 0, 0, 11, 12, 2017);
		echo $time;
	
?>